/* 
 * Autor: Franz Brauße
 * License: GPL v2 
 */

package tools;

public class DGrammNoSuchGraphException extends IllegalArgumentException {
	
	private static final long serialVersionUID = 1L;
	
	private static final String exMsg = "There is no graph with number: ";
	
	private int graphNr = -1;
	
	public DGrammNoSuchGraphException(int graphNr) {
		super(exMsg + graphNr);
		this.graphNr = graphNr;
	}
	
	public DGrammNoSuchGraphException(int graphNr, Throwable t) {
		super(exMsg + graphNr, t);
		this.graphNr = graphNr;
	}
	
	public int getGraphNr() {
		return this.graphNr;
	}
}
