/* 
 * Autor: Franz Brauße
 * License: GPL v2 
 */

package views;

import java.awt.GridBagLayout;
import javax.swing.JPanel;
import javax.swing.JLabel;
import java.awt.GridBagConstraints;
import java.awt.Font;
import java.awt.Insets;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

import javax.swing.JTextField;
import javax.swing.JTextArea;
import javax.swing.BorderFactory;
import javax.swing.border.EtchedBorder;
import javax.swing.JScrollPane;

public class About extends JPanel {
	
	private static final long	serialVersionUID	= 1L;
	
	private JLabel 		jLabel 		= null;
	private JLabel 		jLabel1 	= null;
	private JTextField 	jTextField 	= null;
	private JLabel 		jLabel2 	= null;
	private JScrollPane jScrollPane = null;
	private JTextArea 	jTextArea 	= null;
	
	private static String 	authors = "";
	private static String 	license = "";
	private static boolean 	loaded 	= false;
	
	public About() {
		super();
		initialize();
		
		if (!loaded) {
			BufferedReader bf;
			String s;
			try {
				bf = new BufferedReader(new FileReader(new File("AUTHORS")));
				while ((s = bf.readLine()) != null)
					if (s.trim().length() > 0)
						authors += s.trim() + ", ";
				
				if (authors.length() > 2)
					authors = authors.substring(0, authors.length() - 2);
				
				bf = new BufferedReader(new FileReader(new File("LICENSE")));
				while ((s = bf.readLine()) != null)
					license += s.replaceAll("\t", "        ") + "\n";
			} catch (FileNotFoundException e) {
				e.printStackTrace();
			} catch (IOException e) {
				e.printStackTrace();
			}
			loaded = true;
		}
		this.jTextField.setText(authors);
		this.jTextArea.setText(license);
		this.updateUI();
	}
	
	private void initialize() {
		GridBagConstraints gridBagConstraints11 = new GridBagConstraints();
		gridBagConstraints11.fill = GridBagConstraints.BOTH;
		gridBagConstraints11.gridy = 2;
		gridBagConstraints11.weightx = 1.0;
		gridBagConstraints11.weighty = 1.0;
		gridBagConstraints11.insets = new Insets(5, 5, 5, 5);
		gridBagConstraints11.gridx = 1;
		GridBagConstraints gridBagConstraints3 = new GridBagConstraints();
		gridBagConstraints3.gridx = 0;
		gridBagConstraints3.insets = new Insets(5, 5, 5, 5);
		gridBagConstraints3.anchor = GridBagConstraints.NORTHEAST;
		gridBagConstraints3.gridy = 2;
		jLabel2 = new JLabel();
		jLabel2.setText("License:");
		GridBagConstraints gridBagConstraints2 = new GridBagConstraints();
		gridBagConstraints2.fill = GridBagConstraints.HORIZONTAL;
		gridBagConstraints2.gridy = 1;
		gridBagConstraints2.weightx = 1.0;
		gridBagConstraints2.insets = new Insets(5, 5, 5, 5);
		gridBagConstraints2.gridx = 1;
		GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
		gridBagConstraints1.gridx = 0;
		gridBagConstraints1.insets = new Insets(5, 5, 5, 5);
		gridBagConstraints1.anchor = GridBagConstraints.EAST;
		gridBagConstraints1.gridy = 1;
		jLabel1 = new JLabel();
		jLabel1.setText("Authors:");
		GridBagConstraints gridBagConstraints = new GridBagConstraints();
		gridBagConstraints.gridx = 0;
		gridBagConstraints.insets = new Insets(10, 10, 10, 10);
		gridBagConstraints.gridwidth = 2;
		gridBagConstraints.gridy = 0;
		jLabel = new JLabel();
		jLabel.setText("About YaCyAdmin");
		jLabel.setFont(new Font("Dialog", Font.BOLD, 18));
		this.setSize(342, 305);
		this.setLayout(new GridBagLayout());
		this.add(jLabel, gridBagConstraints);
		this.add(jLabel1, gridBagConstraints1);
		this.add(getJTextField(), gridBagConstraints2);
		this.add(jLabel2, gridBagConstraints3);
		this.add(getJScrollPane(), gridBagConstraints11);
	}
	
	private JTextField getJTextField() {
		if (jTextField == null) {
			jTextField = new JTextField();
			jTextField.setEditable(false);
		}
		return jTextField;
	}
	
	private JScrollPane getJScrollPane() {
		if (jScrollPane == null) {
			jScrollPane = new JScrollPane();
			jScrollPane.setBorder(BorderFactory.createEtchedBorder(EtchedBorder.LOWERED));
			jScrollPane.setViewportView(getJTextArea());
		}
		return jScrollPane;
	}
	
	private JTextArea getJTextArea() {
		if (jTextArea == null) {
			jTextArea = new JTextArea();
			jTextArea.setBorder(null);
		}
		return jTextArea;
	}
	
}  //  @jve:decl-index=0:visual-constraint="10,10"
