/* 
 * Autor: Franz Brauße
 * License: GPL v2 
 */

package views;

public interface Plugin {
	
	/**
	 * @return The version of this plugin.
	 */
	public String getVersion();
	
	/**
	 * Since the SOAP functions YaCy provides are developed beneath the development of plugins,
	 * it isn't safe to assume that the functions, this plugin uses are present on the YaCy-
	 * peer. So a check is needed whether the plugin doesn't use any functions which aren't
	 * available.
	 * 
	 * @return the latest SVN Revision of a YaCy-peer, this plugin needs for all functions, it
	 * uses from the Peer-Object.   
	 */
	public int getNeededYacyRevision();
}
