/* 
 * Autor: Franz Brauße
 * License: GPL v2 
 */

package views;

import yacy.Peer;
import general.Config;

public interface ToolbarPlugin extends Plugin {
	
	/**
	 * In contrast to PanelPlugins, this init(Peer)-Method can be called multiple
	 * times and will not be called directly after instantiation. In fact it is called
	 * everytime the user switches to another active peer.
	 * 
	 * @param peer the active Peer Object this Plugin shall deal with. peer can be set to
	 * null, then the plugin should not operate until it receives another call with a
	 * legal Peer object.
	 */
	public void init(Peer peer);
	
	/**
	 * This method will be called directly after instantiation and shall provide the plugin
	 * with access to all settings of yacy-admin including logLevel. Save it, if there is
	 * use for.
	 * 
	 * @param cfg the global Config-Object of yacy-admin
	 */
	public void init(Config cfg);
}
