/* 
 * Autor: Franz Brauße
 * License: GPL v2 
 */

package yacy.exceptions;

import yacy.Peer;

public class PBlacklistExistsEx extends PeerException {
	
	private static final long serialVersionUID = 1L;
	
	private static final String exMsg = "Blacklist already exists: ";
	
	private String blacklistName = null;
	
	public PBlacklistExistsEx(String blacklistName) {
		super(exMsg + blacklistName);
		this.blacklistName = blacklistName;
	}
	
	public PBlacklistExistsEx(String blacklistName, Peer peer) {
		super(exMsg + blacklistName, peer);
		this.blacklistName = blacklistName;
	}
	
	public String getBlacklistName() { return this.blacklistName; }
	
	public void setBlacklistName(String blacklistName) {
		this.blacklistName = blacklistName;
	}
}
